Bug 1384079 - python-triploeclient dissregards ceph keys from envronemnt file
Summary: python-triploeclient dissregards ceph keys from envronemnt file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Jiri Stransky
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1385034 1388515
TreeView+ depends on / blocked
 
Reported: 2016-10-12 13:37 UTC by Giulio Fidente
Modified: 2016-12-14 16:17 UTC (History)
19 users (show)

Fixed In Version: python-tripleoclient-5.3.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:17:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 387919 None None None 2016-10-18 10:55:14 UTC
Launchpad 1632683 None None None 2016-10-12 13:37:22 UTC

Description Giulio Fidente 2016-10-12 13:37:23 UTC
Description:

The CephClusterFSID and CephClientKey is ignored from my altered https://github.com/openstack/tripleo-heat-templates/blob/master/environments/puppet-ceph-external.yaml file.

The client generates a random CephClusterFSID, CephClientKey.

The /etc/ceph/* on the deployed nodes has a not working values,
the other values like GlanceRbdPoolName was respected from the same environment file.


Version-Release number of selected component (if applicable):

python-tripleoclient.noarch      5.2.0-1.el7ost

Comment 7 Jiri Stransky 2016-10-18 10:55:14 UTC
Replacing the patch link with stable/newton cherry pick.

Comment 8 Jiri Stransky 2016-10-19 11:08:40 UTC
In stable/newton.

Comment 15 errata-xmlrpc 2016-12-14 16:17:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.